Subject: bug#6187: 23.1; can't save: "Wrong type argument: number-of-marker-p, nil"

From: Ryo Furue <[email-masked]>
Date: Mon, 24 May 2010 20:11:26 -1000 (HST)

| | > Copy this character "˜", open a new file (C-x C-f),
| | > paste the character, and try to save (C-x C-s).
| | > You can't save. "Wrong type argument: number-of-marker-p, nil"
| | 
| | It works fine for me using Debian's Emacs 23.1. I am prompted to
| | select a coding system, I choose the default utf-8, and the file is
| | saved.
| | 
| | Does it happen with `emacs -Q'?
| | 
| | Please do
| | 
| | M-x toggle-debug-on-error
| | 
| | produce the error again, and post the backtrace.
| 
| Thank you for your help.  But, I've been able to reproduce the
| error only once, before taking any debug information. (Before
| I submitted my original report, the problem was very reliably
| reproduced.)

Now, I've just reproduced it!

;>>>> BEGIN BACK TRACE >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
  min(nil)
  apply(min nil)
  select-safe-coding-system-interactively(1 1362 (utf-8 adobe-standard-encoding next mac-roman gb18030 utf-7 utf-16 utf-16be-with-signature utf-16le-with-signature utf-16be utf-16le x-ctext iso-2022-7bit utf-8-auto utf-8-with-signature emacs-mule raw-text iso-2022-8bit-ss2 utf-7-imap utf-8-emacs no-conversion compound-text-with-extensions ctext-no-compositions iso-2022-7bit-lock iso-2022-7bit-ss2) (japanese-iso-8bit-unix) nil utf-8)
  select-safe-coding-system(1 1362 japanese-iso-8bit-unix nil "/home/amakihi/furue/tmp/tmp2.txt")
  write-region(nil nil "/home/amakihi/furue/tmp/tmp2.txt" nil t "~/tmp/tmp2.txt")
  basic-save-buffer-2()
  basic-save-buffer-1()
  basic-save-buffer()
  save-buffer(1)
  call-interactively(save-buffer nil nil)
;<<<< END BACK TRACE <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

I'm now on a remote machine (MacOS 10.5) and ssh-ing to my
workstation (Debian); I invoked emacs over X11-forwarding to
get this error.

When I invoked emacs as

   /usr/bin/emacs23 -Q

this error didn't occur.